Bug 1288047 - nss-softokn FTBFS during stage2 bootstrap - ldvector.c:298:20: fatal error: verref.h: No such file or directory
nss-softokn FTBFS during stage2 bootstrap - ldvector.c:298:20: fatal error: v...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nss-softokn (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-bootstrap
  Show dependency treegraph
 
Reported: 2015-12-03 06:25 EST by Jaromír Cápík
Modified: 2016-01-31 21:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 07:22:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nss-softokn.log (18.01 KB, text/plain)
2015-12-03 06:25 EST, Jaromír Cápík
no flags Details
Copy verref.h so the next step in the build can find it (545 bytes, patch)
2015-12-03 10:40 EST, Elio Maldonado Batiz
no flags Details | Diff
STAGE2-nss-softokn-f22.patch (784 bytes, patch)
2015-12-14 09:08 EST, Jaromír Cápík
emaldona: review+
Details | Diff

  None (edit)
Description Jaromír Cápík 2015-12-03 06:25:50 EST
Created attachment 1101786 [details]
nss-softokn.log

Description of problem:
After the recent changes in nss we're facing FTBFS of the nss-softokn component during the stage2 bootstrap.
This happened with the f21 sources, but we believe the same would happen with the f22 sources. I'll confirm that once we get results of the next iteration.

Version-Release number of selected component (if applicable):
nss-softokn-3.21.0-1.1.fc21
Comment 1 Elio Maldonado Batiz 2015-12-03 10:32:59 EST
ldvector.c: In function 'FREEBL_GetVector':
ldvector.c:298:20: fatal error: verref.h: No such file or directory

The verref.h is a header than we make sure we preserve when the nss-split-softoken.sh script. We do via this new lines in that script.

# copy private headers that nss-softoken needs
for f in verref.h; do
  cp -p ${nss_source_dir}/nss/lib/util/$f ${WORK}/${softokn_dir}/nss/lib/util
done

This is so that when we remove what we don't need we preserve that file so that later on in nsss-softoken.spec we can recover it. There in %build phase we havee
......................................................
# Compile softokn plus needed support
%{__make} -C ./nss/coreconf 
%{__make} -C ./nss/lib/dbm

>>> Begin Line lines

# ldvector.c, pkcs11.c, and lginit.c include nss/lib/util/verref.h, 
# which is private export, move it to where it can be found.
%{__mkdir_p} ./dist/private/nss
%{__mv} ./nss/lib/util/verref.h ./dist/private/nss/verref.h
>>>> End new Lines

%{__make} -C ./nss
.............................................................

The STAGE2-nss-softokn recipe probably needs new lines matching the changes made in the nss-softokn.spec file. I'll attach a patch for review next.
Comment 2 Elio Maldonado Batiz 2015-12-03 10:40 EST
Created attachment 1101837 [details]
Copy verref.h so the next step in the build can find it
Comment 3 Jaromír Cápík 2015-12-04 04:51:59 EST
Hello Elio.

Thanks for the patch. I'll check the paths, start the next iteration with the proposed changes and share the results.
Comment 4 Jaromír Cápík 2015-12-14 09:08 EST
Created attachment 1105580 [details]
STAGE2-nss-softokn-f22.patch

Hi Elio.

There was a tiny copy'n'paste issue in the patch. The fixed version is here.
Comment 5 Elio Maldonado Batiz 2015-12-14 09:58:33 EST
(In reply to Jaromír Cápík from comment #4)
Ah, I missed that '+export NSS_DISABLE_GTESTS=1' line, and to make the extra directory which yours takes care of. Please go ahead and check it in. 

Thank you. 

-Elio

Note You need to log in before you can comment on or make changes to this bug.